diff --git a/src/servers/index/CatchUpManager.cpp b/src/servers/index/CatchUpManager.cpp
index f2c6750..80fb695 100644
--- a/src/servers/index/CatchUpManager.cpp
+++ b/src/servers/index/CatchUpManager.cpp
@@ -26,7 +26,6 @@ CatchUpAnalyser::CatchUpAnalyser(const BVolume& volume, time_t start,
 	time_t end, BHandler* manager)
 	:
 	AnalyserDispatcher("CatchUpAnalyser"),
-
 	fVolume(volume),
 	fStart(start),
 	fEnd(end),
diff --git a/src/servers/index/IndexServer.cpp b/src/servers/index/IndexServer.cpp
index 5098e4b..9ed3d0e 100644
--- a/src/servers/index/IndexServer.cpp
+++ b/src/servers/index/IndexServer.cpp
@@ -79,7 +79,6 @@ AnalyserMonitorHandler::AddOnDisabled(const add_on_entry_info* entryInfo)
 IndexServer::IndexServer()
 	:
 	BApplication("application/x-vnd.Haiku-index_server"),
-
 	fVolumeObserverHandler(this),
 	fAddOnMonitorHandler(this),
 	fPulseRunner(NULL)
diff --git a/src/system/kernel/arch/arm/arch_debug.cpp b/src/system/kernel/arch/arm/arch_debug.cpp
index daae859..9a781f6 100644
--- a/src/system/kernel/arch/arm/arch_debug.cpp
+++ b/src/system/kernel/arch/arm/arch_debug.cpp
@@ -137,8 +137,8 @@ stack_trace(int argc, char **argv)
 		thread = thread_get_current_thread();
 		framePointer = (addr_t)get_current_stack_frame();
 	} else {
-kprintf("Stack traces of other threads not supported yet!\n");
-return 0;
+		kprintf("Stack traces of other threads not supported yet!\n");
+		return 0;
 	}

 	// We don't have a thread pointer early in the boot process
diff --git a/src/system/kernel/arch/arm/arch_elf.cpp b/src/system/kernel/arch/arm/arch_elf.cpp
index 62fc17e..256362b 100644
--- a/src/system/kernel/arch/arm/arch_elf.cpp
+++ b/src/system/kernel/arch/arm/arch_elf.cpp
@@ -34,118 +34,118 @@

 #ifdef TRACE_ARCH_ELF
 static const char *kRelocations[] = {
-"R_ARM_NONE",		//0	Static	Miscellaneous
-"R_ARM_PC24",		//1	Deprecated	ARM	((S + A) | T) ? P
-"R_ARM_ABS32",		//2	Static	Data	(S + A) | T
-"R_ARM_REL32",		//3	Static	Data	((S + A) | T) ? P
-"R_ARM_LDR_PC_G0",	//4	Static	ARM	S + A ? P
-"R_ARM_ABS16",		//5	Static	Data	S + A
-"R_ARM_ABS12",		//6	Static	ARM	S + A
-"R_ARM_THM_ABS5",	//7	Static	Thumb16	S + A
-"R_ARM_ABS8",		//8	Static	Data	S + A
-"R_ARM_SBREL32",	//9	Static	Data	((S + A) | T) ? B(S)
-"R_ARM_THM_CALL",	//10	Static	Thumb32	((S + A) | T) ? P
-"R_ARM_THM_PC8",	//11	Static	Thumb16	S + A ? Pa
-"R_ARM_BREL_ADJ",	//12	Dynamic	Data	?B(S) + A
-"R_ARM_TLS_DESC",	//13	Dynamic	Data
-"R_ARM_THM_SWI8",	//14	Obsolete
-"R_ARM_XPC25",		//15	Obsolete
-"R_ARM_THM_XPC22",	//16	Obsolete	Encodings reserved for future Dynamic relocations
-"R_ARM_TLS_DTPMOD32",	//17	Dynamic	Data	Module[S]
-"R_ARM_TLS_DTPOFF32",	//18	Dynamic	Data	S + A ? TLS
-"R_ARM_TLS_TPOFF32",	//19	Dynamic	Data	S + A ? tp
-"R_ARM_COPY",		//20	Dynamic	Miscellaneous
-"R_ARM_GLOB_DAT",	//21	Dynamic	Data	(S + A) | T
-"R_ARM_JUMP_SLOT",	//22	Dynamic	Data	(S + A) | T
-"R_ARM_RELATIVE",	//23	Dynamic	Data	B(S) + A [Note: see Table 4-16]
-"R_ARM_GOTOFF32",	//24	Static	Data	((S + A) | T) ? GOT_ORG
-"R_ARM_BASE_PREL",	//25	Static	Data	B(S) + A ? P
-"R_ARM_GOT_BREL",	//26	Static	Data	GOT(S) + A ? GOT_ORG
-"R_ARM_PLT32",		//27	Deprecated	ARM	((S + A) | T) ? P
-"R_ARM_CALL",		//28	Static	ARM	((S + A) | T) ? P
-"R_ARM_JUMP24",		//29	Static	ARM	((S + A) | T) ? P
-"R_ARM_THM_JUMP24",	//30	Static	Thumb32	((S + A) | T) ? P
-"R_ARM_BASE_ABS",	//31	Static	Data	B(S) + A
-"R_ARM_ALU_PCREL_7_0",	//32	Obsolete
-"R_ARM_ALU_PCREL_15_8",	//33	Obsolete
-"R_ARM_ALU_PCREL_23_15",	//34	Obsolete	Note ? Legacy (ARM ELF B02) names have been retained for these obsolete relocations.
-"R_ARM_LDR_SBREL_11_0_NC",	//35	Deprecated	ARM	S + A ? B(S)
-"R_ARM_ALU_SBREL_19_12_NC",	//36	Deprecated	ARM	S + A ? B(S)
-"R_ARM_ALU_SBREL_27_20_CK",	//37	Deprecated	ARM	S + A ? B(S)
-"R_ARM_TARGET1",	//38	Static	Miscellaneous	(S + A) | T or ((S + A) | T) ? P
-"R_ARM_SBREL31",	//39	Deprecated	Data	((S + A) | T) ? B(S)
-"R_ARM_V4BX",		//40	Static	Miscellaneous
-"R_ARM_TARGET2",	//41	Static	Miscellaneous
-"R_ARM_PREL31",		//42	Static	Data	((S + A) | T) ? P
-"R_ARM_MOVW_ABS_NC",	//43	Static	ARM	(S + A) | T
-"R_ARM_MOVT_ABS",	//44	Static	ARM	S + A
-"R_ARM_MOVW_PREL_NC",	//45	Static	ARM	((S + A) | T) ? P
-"R_ARM_MOVT_PREL",	//46	Static	ARM	S + A ? P
-"R_ARM_THM_MOVW_ABS_NC",	//47	Static	Thumb32	(S + A) | T
-"R_ARM_THM_MOVT_ABS",	//48	Static	Thumb32	S + A
-"R_ARM_THM_MOVW_PREL_NC",	//49	Static	Thumb32	((S + A) | T) ? P
-"R_ARM_THM_MOVT_PREL",	//50	Static	Thumb32	S + A ? P
-"R_ARM_THM_JUMP19",	//51	Static	Thumb32	((S + A) | T) ? P
-"R_ARM_THM_JUMP6",	//52	Static	Thumb16	S + A ? P
-"R_ARM_THM_ALU_PREL_11_0",	//53	Static	Thumb32	((S + A) | T) ? Pa
-"R_ARM_THM_PC12",	//54	Static	Thumb32	S + A ? Pa
-"R_ARM_ABS32_NOI",	//55	Static	Data	S + A
-"R_ARM_REL32_NOI",	//56	Static	Data	S + A ? P
-"R_ARM_ALU_PC_G0_NC",	//57	Static	ARM	((S + A) | T) ? P
-"R_ARM_ALU_PC_G0",	//58	Static	ARM	((S + A) | T) ? P
-"R_ARM_ALU_PC_G1_NC",	//59	Static	ARM	((S + A) | T) ? P
-"R_ARM_ALU_PC_G1",	//60	Static	ARM	((S + A) | T) ? P
-"R_ARM_ALU_PC_G2",	//61	Static	ARM	((S + A) | T) ? P
-"R_ARM_LDR_PC_G1",	//62	Static	ARM	S + A ? P
-"R_ARM_LDR_PC_G2",	//63	Static	ARM	S + A ? P
-"R_ARM_LDRS_PC_G0",	//64	Static	ARM	S + A ? P
-"R_ARM_LDRS_PC_G1",	//65	Static	ARM	S + A ? P
-"R_ARM_LDRS_PC_G2",	//66	Static	ARM	S + A ? P
-"R_ARM_LDC_PC_G0",	//67	Static	ARM	S + A ? P
-"R_ARM_LDC_PC_G1",	//68	Static	ARM	S + A ? P
-"R_ARM_LDC_PC_G2",	//69	Static	ARM	S + A ? P
-"R_ARM_ALU_SB_G0_NC",	//70	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_ALU_SB_G0",	//71	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_ALU_SB_G1_NC",	//72	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_ALU_SB_G1",	//73	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_ALU_SB_G2",	//74	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_LDR_SB_G0",	//75	Static	ARM	S + A ? B(S)
-"R_ARM_LDR_SB_G1",	//76	Static	ARM	S + A ? B(S)
-"R_ARM_LDR_SB_G2",	//77	Static	ARM	S + A ? B(S)
-"R_ARM_LDRS_SB_G0",	//78	Static	ARM	S + A ? B(S)
-"R_ARM_LDRS_SB_G1",	//79	Static	ARM	S + A ? B(S)
-"R_ARM_LDRS_SB_G2",	//80	Static	ARM	S + A ? B(S)
-"R_ARM_LDC_SB_G0",	//81	Static	ARM	S + A ? B(S)
-"R_ARM_LDC_SB_G1",	//82	Static	ARM	S + A ? B(S)
-"R_ARM_LDC_SB_G2",	//83	Static	ARM	S + A ? B(S)
-"R_ARM_MOVW_BREL_NC",	//84	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_MOVT_BREL",	//85	Static	ARM	S + A ? B(S)
-"R_ARM_MOVW_BREL",	//86	Static	ARM	((S + A) | T) ? B(S)
-"R_ARM_THM_MOVW_BREL_NC",	//87	Static	Thumb32	((S + A) | T) ? B(S)
-"R_ARM_THM_MOVT_BREL",	//88	Static	Thumb32	S + A ? B(S)
-"R_ARM_THM_MOVW_BREL",	//89	Static	Thumb32	((S + A) | T) ? B(S)
-"R_ARM_TLS_GOTDESC",	//90	Static	Data
-"R_ARM_TLS_CALL",	//91	Static	ARM
-"R_ARM_TLS_DESCSEQ",	//92	Static	ARM	TLS relaxation
-"R_ARM_THM_TLS_CALL",	//93	Static	Thumb32
-"R_ARM_PLT32_ABS",	//94	Static	Data	PLT(S) + A
-"R_ARM_GOT_ABS",	//95	Static	Data	GOT(S) + A
-"R_ARM_GOT_PREL",	//96	Static	Data	GOT(S) + A ? P
-"R_ARM_GOT_BREL12",	//97	Static	ARM	GOT(S) + A ? GOT_ORG
-"R_ARM_GOTOFF12",	//98	Static	ARM	S + A ? GOT_ORG
-"R_ARM_GOTRELAX",	//99	Static	Miscellaneous
-"R_ARM_GNU_VTENTRY",	//100	Deprecated	Data	???
-"R_ARM_GNU_VTINHERIT",	//101	Deprecated	Data	???
-"R_ARM_THM_JUMP11",	//102	Static	Thumb16	S + A ? P
-"R_ARM_THM_JUMP8",	//103	Static	Thumb16	S + A ? P
-"R_ARM_TLS_GD32",	//104	Static	Data	GOT(S) + A ? P
-"R_ARM_TLS_LDM32",	//105	Static	Data	GOT(S) + A ? P
-"R_ARM_TLS_LDO32",	//106	Static	Data	S + A ? TLS
-"R_ARM_TLS_IE32",	//107	Static	Data	GOT(S) + A ? P
-"R_ARM_TLS_LE32",	//108	Static	Data	S + A ? tp
-"R_ARM_TLS_LDO12",	//109	Static	ARM	S + A ? TLS
-"R_ARM_TLS_LE12",	//110	Static	ARM	S + A ? tp
-"R_ARM_TLS_IE12GP",	//111	Static	ARM	GOT(S) + A ? GOT_ORG
+	"R_ARM_NONE",		//0	Static	Miscellaneous
+	"R_ARM_PC24",		//1	Deprecated	ARM	((S + A) | T) ? P
+	"R_ARM_ABS32",		//2	Static	Data	(S + A) | T
+	"R_ARM_REL32",		//3	Static	Data	((S + A) | T) ? P
+	"R_ARM_LDR_PC_G0",	//4	Static	ARM	S + A ? P
+	"R_ARM_ABS16",		//5	Static	Data	S + A
+	"R_ARM_ABS12",		//6	Static	ARM	S + A
+	"R_ARM_THM_ABS5",	//7	Static	Thumb16	S + A
+	"R_ARM_ABS8",		//8	Static	Data	S + A
+	"R_ARM_SBREL32",	//9	Static	Data	((S + A) | T) ? B(S)
+	"R_ARM_THM_CALL",	//10	Static	Thumb32	((S + A) | T) ? P
+	"R_ARM_THM_PC8",	//11	Static	Thumb16	S + A ? Pa
+	"R_ARM_BREL_ADJ",	//12	Dynamic	Data	?B(S) + A
+	"R_ARM_TLS_DESC",	//13	Dynamic	Data
+	"R_ARM_THM_SWI8",	//14	Obsolete
+	"R_ARM_XPC25",		//15	Obsolete
+	"R_ARM_THM_XPC22",	//16	Obsolete	Encodings reserved for future Dynamic relocations
+	"R_ARM_TLS_DTPMOD32",	//17	Dynamic	Data	Module[S]
+	"R_ARM_TLS_DTPOFF32",	//18	Dynamic	Data	S + A ? TLS
+	"R_ARM_TLS_TPOFF32",	//19	Dynamic	Data	S + A ? tp
+	"R_ARM_COPY",		//20	Dynamic	Miscellaneous
+	"R_ARM_GLOB_DAT",	//21	Dynamic	Data	(S + A) | T
+	"R_ARM_JUMP_SLOT",	//22	Dynamic	Data	(S + A) | T
+	"R_ARM_RELATIVE",	//23	Dynamic	Data	B(S) + A [Note: see Table 4-16]
+	"R_ARM_GOTOFF32",	//24	Static	Data	((S + A) | T) ? GOT_ORG
+	"R_ARM_BASE_PREL",	//25	Static	Data	B(S) + A ? P
+	"R_ARM_GOT_BREL",	//26	Static	Data	GOT(S) + A ? GOT_ORG
+	"R_ARM_PLT32",		//27	Deprecated	ARM	((S + A) | T) ? P
+	"R_ARM_CALL",		//28	Static	ARM	((S + A) | T) ? P
+	"R_ARM_JUMP24",		//29	Static	ARM	((S + A) | T) ? P
+	"R_ARM_THM_JUMP24",	//30	Static	Thumb32	((S + A) | T) ? P
+	"R_ARM_BASE_ABS",	//31	Static	Data	B(S) + A
+	"R_ARM_ALU_PCREL_7_0",	//32	Obsolete
+	"R_ARM_ALU_PCREL_15_8",	//33	Obsolete
+	"R_ARM_ALU_PCREL_23_15",	//34	Obsolete	Note ? Legacy (ARM ELF B02) names have been retained for these obsolete relocations.
+	"R_ARM_LDR_SBREL_11_0_NC",	//35	Deprecated	ARM	S + A ? B(S)
+	"R_ARM_ALU_SBREL_19_12_NC",	//36	Deprecated	ARM	S + A ? B(S)
+	"R_ARM_ALU_SBREL_27_20_CK",	//37	Deprecated	ARM	S + A ? B(S)
+	"R_ARM_TARGET1",	//38	Static	Miscellaneous	(S + A) | T or ((S + A) | T) ? P
+	"R_ARM_SBREL31",	//39	Deprecated	Data	((S + A) | T) ? B(S)
+	"R_ARM_V4BX",		//40	Static	Miscellaneous
+	"R_ARM_TARGET2",	//41	Static	Miscellaneous
+	"R_ARM_PREL31",		//42	Static	Data	((S + A) | T) ? P
+	"R_ARM_MOVW_ABS_NC",	//43	Static	ARM	(S + A) | T
+	"R_ARM_MOVT_ABS",	//44	Static	ARM	S + A
+	"R_ARM_MOVW_PREL_NC",	//45	Static	ARM	((S + A) | T) ? P
+	"R_ARM_MOVT_PREL",	//46	Static	ARM	S + A ? P
+	"R_ARM_THM_MOVW_ABS_NC",	//47	Static	Thumb32	(S + A) | T
+	"R_ARM_THM_MOVT_ABS",	//48	Static	Thumb32	S + A
+	"R_ARM_THM_MOVW_PREL_NC",	//49	Static	Thumb32	((S + A) | T) ? P
+	"R_ARM_THM_MOVT_PREL",	//50	Static	Thumb32	S + A ? P
+	"R_ARM_THM_JUMP19",	//51	Static	Thumb32	((S + A) | T) ? P
+	"R_ARM_THM_JUMP6",	//52	Static	Thumb16	S + A ? P
+	"R_ARM_THM_ALU_PREL_11_0",	//53	Static	Thumb32	((S + A) | T) ? Pa
+	"R_ARM_THM_PC12",	//54	Static	Thumb32	S + A ? Pa
+	"R_ARM_ABS32_NOI",	//55	Static	Data	S + A
+	"R_ARM_REL32_NOI",	//56	Static	Data	S + A ? P
+	"R_ARM_ALU_PC_G0_NC",	//57	Static	ARM	((S + A) | T) ? P
+	"R_ARM_ALU_PC_G0",	//58	Static	ARM	((S + A) | T) ? P
+	"R_ARM_ALU_PC_G1_NC",	//59	Static	ARM	((S + A) | T) ? P
+	"R_ARM_ALU_PC_G1",	//60	Static	ARM	((S + A) | T) ? P
+	"R_ARM_ALU_PC_G2",	//61	Static	ARM	((S + A) | T) ? P
+	"R_ARM_LDR_PC_G1",	//62	Static	ARM	S + A ? P
+	"R_ARM_LDR_PC_G2",	//63	Static	ARM	S + A ? P
+	"R_ARM_LDRS_PC_G0",	//64	Static	ARM	S + A ? P
+	"R_ARM_LDRS_PC_G1",	//65	Static	ARM	S + A ? P
+	"R_ARM_LDRS_PC_G2",	//66	Static	ARM	S + A ? P
+	"R_ARM_LDC_PC_G0",	//67	Static	ARM	S + A ? P
+	"R_ARM_LDC_PC_G1",	//68	Static	ARM	S + A ? P
+	"R_ARM_LDC_PC_G2",	//69	Static	ARM	S + A ? P
+	"R_ARM_ALU_SB_G0_NC",	//70	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_ALU_SB_G0",	//71	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_ALU_SB_G1_NC",	//72	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_ALU_SB_G1",	//73	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_ALU_SB_G2",	//74	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_LDR_SB_G0",	//75	Static	ARM	S + A ? B(S)
+	"R_ARM_LDR_SB_G1",	//76	Static	ARM	S + A ? B(S)
+	"R_ARM_LDR_SB_G2",	//77	Static	ARM	S + A ? B(S)
+	"R_ARM_LDRS_SB_G0",	//78	Static	ARM	S + A ? B(S)
+	"R_ARM_LDRS_SB_G1",	//79	Static	ARM	S + A ? B(S)
+	"R_ARM_LDRS_SB_G2",	//80	Static	ARM	S + A ? B(S)
+	"R_ARM_LDC_SB_G0",	//81	Static	ARM	S + A ? B(S)
+	"R_ARM_LDC_SB_G1",	//82	Static	ARM	S + A ? B(S)
+	"R_ARM_LDC_SB_G2",	//83	Static	ARM	S + A ? B(S)
+	"R_ARM_MOVW_BREL_NC",	//84	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_MOVT_BREL",	//85	Static	ARM	S + A ? B(S)
+	"R_ARM_MOVW_BREL",	//86	Static	ARM	((S + A) | T) ? B(S)
+	"R_ARM_THM_MOVW_BREL_NC",	//87	Static	Thumb32	((S + A) | T) ? B(S)
+	"R_ARM_THM_MOVT_BREL",	//88	Static	Thumb32	S + A ? B(S)
+	"R_ARM_THM_MOVW_BREL",	//89	Static	Thumb32	((S + A) | T) ? B(S)
+	"R_ARM_TLS_GOTDESC",	//90	Static	Data
+	"R_ARM_TLS_CALL",	//91	Static	ARM
+	"R_ARM_TLS_DESCSEQ",	//92	Static	ARM	TLS relaxation
+	"R_ARM_THM_TLS_CALL",	//93	Static	Thumb32
+	"R_ARM_PLT32_ABS",	//94	Static	Data	PLT(S) + A
+	"R_ARM_GOT_ABS",	//95	Static	Data	GOT(S) + A
+	"R_ARM_GOT_PREL",	//96	Static	Data	GOT(S) + A ? P
+	"R_ARM_GOT_BREL12",	//97	Static	ARM	GOT(S) + A ? GOT_ORG
+	"R_ARM_GOTOFF12",	//98	Static	ARM	S + A ? GOT_ORG
+	"R_ARM_GOTRELAX",	//99	Static	Miscellaneous
+	"R_ARM_GNU_VTENTRY",	//100	Deprecated	Data	???
+	"R_ARM_GNU_VTINHERIT",	//101	Deprecated	Data	???
+	"R_ARM_THM_JUMP11",	//102	Static	Thumb16	S + A ? P
+	"R_ARM_THM_JUMP8",	//103	Static	Thumb16	S + A ? P
+	"R_ARM_TLS_GD32",	//104	Static	Data	GOT(S) + A ? P
+	"R_ARM_TLS_LDM32",	//105	Static	Data	GOT(S) + A ? P
+	"R_ARM_TLS_LDO32",	//106	Static	Data	S + A ? TLS
+	"R_ARM_TLS_IE32",	//107	Static	Data	GOT(S) + A ? P
+	"R_ARM_TLS_LE32",	//108	Static	Data	S + A ? tp
+	"R_ARM_TLS_LDO12",	//109	Static	ARM	S + A ? TLS
+	"R_ARM_TLS_LE12",	//110	Static	ARM	S + A ? tp
+	"R_ARM_TLS_IE12GP",	//111	Static	ARM	GOT(S) + A ? GOT_ORG
 };
 #endif

diff --git a/src/system/kernel/arch/arm/arch_int.cpp b/src/system/kernel/arch/arm/arch_int.cpp
index 5c37f36..760d4be 100644
--- a/src/system/kernel/arch/arm/arch_int.cpp
+++ b/src/system/kernel/arch/arm/arch_int.cpp
@@ -142,7 +142,8 @@ arch_int_init_post_vm(kernel_args *args)
 		B_READ_AREA | B_EXECUTE_AREA, sVectorPageArea);

 	if (sUserVectorPageArea < 0)
-		panic("user vector page @ %p could not be created (%lx)!", sVectorPageAddress, sUserVectorPageArea);
+		panic("user vector page @ %p could not be created (%lx)!",
+			sVectorPageAddress, sUserVectorPageArea);

 	// copy vectors into the newly created area
 	memcpy(sVectorPageAddress, &_vectors_start, VECTORPAGE_SIZE);
@@ -162,7 +163,8 @@ arch_int_init_post_vm(kernel_args *args)
        }

 	sPxaInterruptArea = map_physical_memory("pxa_intc", PXA_INTERRUPT_PHYS_BASE,
-		PXA_INTERRUPT_SIZE, 0, B_KERNEL_READ_AREA | B_KERNEL_WRITE_AREA, (void**)&sPxaInterruptBase);
+		PXA_INTERRUPT_SIZE, 0, B_KERNEL_READ_AREA | B_KERNEL_WRITE_AREA,
+			(void**)&sPxaInterruptBase);

 	if (sPxaInterruptArea < 0)
 		return sPxaInterruptArea;
@@ -188,18 +190,23 @@ arch_int_init_post_device_manager(struct kernel_args *args)
 }


-extern "C" void arch_arm_undefined(struct iframe *iframe)
+extern "C" void
+arch_arm_undefined(struct iframe *iframe)
 {
 	print_iframe("Undefined Instruction", iframe);
 	panic("not handled!");
 }

-extern "C" void arch_arm_syscall(struct iframe *iframe)
+
+extern "C" void
+arch_arm_syscall(struct iframe *iframe)
 {
 	print_iframe("Software interrupt", iframe);
 }

-extern "C" void arch_arm_data_abort(struct iframe *frame)
+
+extern "C" void
+arch_arm_data_abort(struct iframe *frame)
 {
 	Thread *thread = thread_get_current_thread();
 	bool isUser = (frame->spsr & 0x1f) == 0x10;
@@ -281,20 +288,23 @@ extern "C" void arch_arm_data_abort(struct iframe *frame)
 	}
 }

-extern "C" void arch_arm_prefetch_abort(struct iframe *iframe)
+extern "C" void
+arch_arm_prefetch_abort(struct iframe *iframe)
 {
 	print_iframe("Prefetch Abort", iframe);
 	panic("not handled!");
 }

-extern "C" void arch_arm_irq(struct iframe *iframe)
+extern "C" void
+arch_arm_irq(struct iframe *iframe)
 {
 	for (int i=0; i < 32; i++)
 		if (sPxaInterruptBase[PXA_ICIP] & (1 << i))
 			int_io_interrupt_handler(i, true);
 }

-extern "C" void arch_arm_fiq(struct iframe *iframe)
+extern "C" void
+arch_arm_fiq(struct iframe *iframe)
 {
 	for (int i=0; i < 32; i++)
 		if (sPxaInterruptBase[PXA_ICIP] & (1 << i))
diff --git a/src/system/kernel/arch/arm/arch_timer.cpp b/src/system/kernel/arch/arm/arch_timer.cpp
index 5cf8574..3899cc0 100644
--- a/src/system/kernel/arch/arm/arch_timer.cpp
+++ b/src/system/kernel/arch/arm/arch_timer.cpp
@@ -47,9 +47,9 @@ static int32
 pxa_timer_interrupt(void *data)
 {
 	int32 ret = timer_interrupt();
-        sPxaTimersBase[PXA_OSSR] |= (1 << 4);
+	sPxaTimersBase[PXA_OSSR] |= (1 << 4);

-        return ret;
+    return ret;
 }


@@ -83,14 +83,16 @@ int
 arch_init_timer(kernel_args *args)
 {
 	sPxaTimersArea = map_physical_memory("pxa_timers", PXA_TIMERS_PHYS_BASE,
-		PXA_TIMERS_SIZE, 0, B_KERNEL_READ_AREA | B_KERNEL_WRITE_AREA, (void**)&sPxaTimersBase);
+		PXA_TIMERS_SIZE, 0, B_KERNEL_READ_AREA | B_KERNEL_WRITE_AREA,
+		(void**)&sPxaTimersBase);

 	if (sPxaTimersArea < 0)
 		return sPxaTimersArea;

 	sPxaTimersBase[PXA_OMCR4] = 0; // disable our timer

-	install_io_interrupt_handler(PXA_TIMERS_INTERRUPT, &pxa_timer_interrupt, NULL, 0);
+	install_io_interrupt_handler(PXA_TIMERS_INTERRUPT, &pxa_timer_interrupt,
+	NULL, 0);

 	return B_OK;
 }
diff --git a/src/system/kernel/arch/arm/arch_uart_8250.cpp b/src/system/kernel/arch/arm/arch_uart_8250.cpp
index a2efda5..262ce65 100644
--- a/src/system/kernel/arch/arm/arch_uart_8250.cpp
+++ b/src/system/kernel/arch/arm/arch_uart_8250.cpp
@@ -27,7 +27,8 @@ public:


 ArchUART8250::ArchUART8250(addr_t base, int64 clock)
-	: DebugUART8250(base, clock)
+	:
+	DebugUART8250(base, clock)
 {
 }

diff --git a/src/system/kernel/arch/arm/arch_uart_pl011.cpp b/src/system/kernel/arch/arm/arch_uart_pl011.cpp
index 0794324..bc8af21 100644
--- a/src/system/kernel/arch/arm/arch_uart_pl011.cpp
+++ b/src/system/kernel/arch/arm/arch_uart_pl011.cpp
@@ -148,7 +148,8 @@


 ArchUARTPL011::ArchUARTPL011(addr_t base, int64 clock)
-	: DebugUART(base, clock)
+	:
+	DebugUART(base, clock)
 {
 	Barrier();

diff --git a/src/system/kernel/arch/arm/arch_vm_translation_map.cpp b/src/system/kernel/arch/arm/arch_vm_translation_map.cpp
index faad4bf..677fece 100644
--- a/src/system/kernel/arch/arm/arch_vm_translation_map.cpp
+++ b/src/system/kernel/arch/arm/arch_vm_translation_map.cpp
@@ -29,7 +29,7 @@ static union {
 	uint64	align;
 	char	thirty_two[sizeof(ARMPagingMethod32Bit)];
 	#if B_HAIKU_PHYSICAL_BITS == 64
-	char	pae[sizeof(ARMPagingMethodPAE)];
+		char	pae[sizeof(ARMPagingMethodPAE)];
 	#endif
 } sPagingMethodBuffer;

diff --git a/src/system/kernel/arch/arm/paging/ARMPagingMethod.h b/src/system/kernel/arch/arm/paging/ARMPagingMethod.h
index 570b639..852f64b 100644
--- a/src/system/kernel/arch/arm/paging/ARMPagingMethod.h
+++ b/src/system/kernel/arch/arm/paging/ARMPagingMethod.h
@@ -31,7 +31,7 @@ public:
 									phys_addr_t physicalAddress,
 									uint8 attributes,
 									phys_addr_t (*get_free_page)(kernel_args*))
-										= 0;
+									= 0;

 	virtual	bool				IsKernelPageAccessible(addr_t virtualAddress,
 									uint32 protection) = 0;
diff --git a/src/system/kernel/arch/generic/debug_uart_8250.cpp b/src/system/kernel/arch/generic/debug_uart_8250.cpp
index 39ac561..5ba6c1d 100644
--- a/src/system/kernel/arch/generic/debug_uart_8250.cpp
+++ b/src/system/kernel/arch/generic/debug_uart_8250.cpp
@@ -27,7 +27,8 @@


 DebugUART8250::DebugUART8250(addr_t base, int64 clock)
-	: DebugUART(base, clock)
+	:
+	DebugUART(base, clock)
 {
 }

@@ -36,6 +37,7 @@ DebugUART8250::~DebugUART8250()
 {
 }

+
 #define UART_RHR    0
 #define UART_THR    0
 #define UART_DLL    0
diff --git a/src/system/kernel/arch/generic/generic_vm_physical_page_mapper.cpp b/src/system/kernel/arch/generic/generic_vm_physical_page_mapper.cpp
index 9473a55..d68f2f4 100644
--- a/src/system/kernel/arch/generic/generic_vm_physical_page_mapper.cpp
+++ b/src/system/kernel/arch/generic/generic_vm_physical_page_mapper.cpp
@@ -145,7 +145,8 @@ generic_put_physical_page(addr_t va)
 	desc = virtual_pmappings[va / sIOSpaceChunkSize];
 	if (desc == NULL) {
 		mutex_unlock(&sMutex);
-		panic("put_physical_page called on page at va 0x%lx which is not checked out\n", va);
+		panic("put_physical_page called on page at va 0x%lx which is not checked out\n",
+			va);
 		return B_ERROR;
 	}

diff --git a/src/tests/add-ons/index_server/fulltext_search/BeaconSearcher.h b/src/tests/add-ons/index_server/fulltext_search/BeaconSearcher.h
index ea47a82..9bf00b9 100755
--- a/src/tests/add-ons/index_server/fulltext_search/BeaconSearcher.h
+++ b/src/tests/add-ons/index_server/fulltext_search/BeaconSearcher.h
@@ -23,10 +23,10 @@ using namespace lucene::analysis::standard ;

 class BeaconSearcher {
 	public:
-		BeaconSearcher() ;
-		~BeaconSearcher() ;
-		wchar_t* GetNextHit() ;
-		void Search(const char* query) ;
+							BeaconSearcher() ;
+							~BeaconSearcher() ;
+							wchar_t* GetNextHit() ;
+		void 				Search(const char* query) ;

 	private:
 		BPath				GetIndexPath(BVolume *volume);
diff --git a/src/tests/add-ons/kernel/bus_managers/agp_gart/gart_tester.cpp b/src/tests/add-ons/kernel/bus_managers/agp_gart/gart_tester.cpp
index 1bc13f1..8e01c20 100644
--- a/src/tests/add-ons/kernel/bus_managers/agp_gart/gart_tester.cpp
+++ b/src/tests/add-ons/kernel/bus_managers/agp_gart/gart_tester.cpp
@@ -181,10 +181,13 @@ test_gart()

 	addr_t base[5], physical[5];
 	allocate(aperture, 2 * B_PAGE_SIZE, 0, 0, base[0], physical[0]);
-	allocate(aperture, 4 * B_PAGE_SIZE, 0, B_APERTURE_NON_RESERVED, base[1], physical[1]);
-	allocate(aperture, 1 * B_PAGE_SIZE, 0, B_APERTURE_NEED_PHYSICAL, base[2], physical[2]);
+	allocate(aperture, 4 * B_PAGE_SIZE, 0, B_APERTURE_NON_RESERVED, base[1],
+		physical[1]);
+	allocate(aperture, 1 * B_PAGE_SIZE, 0, B_APERTURE_NEED_PHYSICAL, base[2],
+		physical[2]);
 	sGART->deallocate_memory(aperture, base[2]);
-	allocate(aperture, 1 * B_PAGE_SIZE, 4 * B_PAGE_SIZE, 0, base[2], physical[2]);
+	allocate(aperture, 1 * B_PAGE_SIZE, 4 * B_PAGE_SIZE, 0, base[2],
+		physical[2]);

 	sGART->deallocate_memory(aperture, base[1]);

diff --git a/src/tests/add-ons/kernel/busses/scsi/example/example_scsi.c b/src/tests/add-ons/kernel/busses/scsi/example/example_scsi.c
index 47b0a59..9612960 100644
--- a/src/tests/add-ons/kernel/busses/scsi/example/example_scsi.c
+++ b/src/tests/add-ons/kernel/busses/scsi/example/example_scsi.c
@@ -174,8 +174,8 @@ example_ioctl(scsi_sim_cookie cookie, uint8 targetID, uint32 op, void *buffer,
 // module management
 module_dependency module_dependencies[] = {
 	{ SCSI_FOR_SIM_MODULE_NAME, (module_info **)&sSimInterface },
-	{ B_DEVICE_MANAGER_MODULE_NAME, (module_info **)&sDeviceManager },
-	{}
+		{ B_DEVICE_MANAGER_MODULE_NAME, (module_info **)&sDeviceManager },
+		{}
 };


diff --git a/src/tests/add-ons/kernel/drivers/tty/tty-test.cpp b/src/tests/add-ons/kernel/drivers/tty/tty-test.cpp
index b162e70..e1b89c4 100644
--- a/src/tests/add-ons/kernel/drivers/tty/tty-test.cpp
+++ b/src/tests/add-ons/kernel/drivers/tty/tty-test.cpp
@@ -407,7 +407,8 @@ open_tty(int index, bool master)
 	int fd = open(path, O_RDWR | (master ? 0 : O_NOCTTY));

 	if (fd < 0) {
-		fprintf(stderr, "Failed to open tty `%s': %s\n", path, strerror(errno));
+		fprintf(stderr, "Failed to open tty `%s': %s\n", path,
+			strerror(errno));
 		exit(1);
 	}

@@ -431,10 +432,11 @@ close_tty(int &fd)
 class TestUnblockOnCloseRead : public TestCase {
 public:
 	TestUnblockOnCloseRead(bool master, bool crossOver)
-		: fMaster(-1),
-		  fSlave(-1),
-		  fTestMaster(master),
-		  fCrossOver(crossOver)
+		:
+		fMaster(-1),
+		fSlave(-1),
+		fTestMaster(master),
+		fCrossOver(crossOver)
 	{
 		printf("TestUnblockOnCloseRead(%d, %d)\n", master, crossOver);
 	}
@@ -491,11 +493,12 @@ private:
 class TestUnblockOnCloseWrite : public TestCase {
 public:
 	TestUnblockOnCloseWrite(bool master, bool crossOver, bool echo)
-		: fMaster(-1),
-		  fSlave(-1),
-		  fTestMaster(master),
-		  fCrossOver(crossOver),
-		  fEcho(echo)
+		:
+		fMaster(-1),
+		fSlave(-1),
+		fTestMaster(master),
+		fCrossOver(crossOver),
+		fEcho(echo)
 	{
 		printf("TestUnblockOnCloseWrite(%d, %d, %d)\n", master, crossOver,
 			echo);
@@ -560,10 +563,11 @@ private:
 class TestSelectAlreadyReady : public TestCase {
 public:
 	TestSelectAlreadyReady(bool master, bool write)
-		: fMaster(-1),
-		  fSlave(-1),
-		  fTestMaster(master),
-		  fWrite(write)
+		:
+		fMaster(-1),
+		fSlave(-1),
+		fTestMaster(master),
+		fWrite(write)
 	{
 		printf("TestSelectAlreadyReady(%d, %d)\n", master, write);
 	}
@@ -694,11 +698,12 @@ private:
 class TestSelectNotifyAfterPending : public TestCase {
 public:
 	TestSelectNotifyAfterPending(bool master, bool write, bool unblock)
-		: fMaster(-1),
-		  fSlave(-1),
-		  fTestMaster(master),
-		  fWrite(write),
-		  fUnblock(unblock)
+		:
+		fMaster(-1),
+		fSlave(-1),
+		fTestMaster(master),
+		fWrite(write),
+		fUnblock(unblock)
 	{
 		printf("TestSelectNotifyAfterPending(%d, %d, %d)\n", master, write,
 			unblock);
@@ -808,9 +813,10 @@ private:
 class TestIoctlFIONRead : public TestCase {
 public:
 	TestIoctlFIONRead(bool master)
-		: fMaster(-1),
-		  fSlave(-1),
-		  fTestMaster(master)
+		:
+		fMaster(-1),
+		fSlave(-1),
+		fTestMaster(master)
 	{
 		printf("TestIoctlFIONRead(%d)\n", master);
 	}
@@ -835,20 +841,20 @@ protected:
 		errno = 0;
 		err = ioctl(fd, FIONREAD, NULL);
 		CHK(err == -1);
-printf("e: %s\n", strerror(errno));
+		printf("e: %s\n", strerror(errno));
 		// should be CHK(errno == EINVAL); !!
 		CHK(errno == EFAULT);

 		errno = 0;
 		err = ioctl(fd, FIONREAD, (void *)1);
 		CHK(err == -1);
-printf("e: %s\n", strerror(errno));
+		printf("e: %s\n", strerror(errno));
 		CHK(errno == EFAULT);

 		errno = 0;

 		err = ioctl(fd, FIONREAD, &toRead);
-printf("e: %s\n", strerror(errno));
+		printf("e: %s\n", strerror(errno));
 		//CHK(err == 0);
 		//CHK(toRead == 0);

@@ -857,7 +863,7 @@ printf("e: %s\n", strerror(errno));
 		errno = 0;

 		err = ioctl(fd, FIONREAD, &toRead);
-printf("e: %d\n", err);
+		printf("e: %d\n", err);
 		CHK(err == 0);
 		CHK(toRead == 1);

